Bug 15086 - editing advanced connection properties corrupts connection
editing advanced connection properties corrupts connection
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-01 19:35 EDT by Joe Bowman
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-01 19:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bowman 2000-08-01 19:35:44 EDT
When creating a ppp connection using rp3, if you edit the connection and
change any of the advanced settings, the connection. It appears to grab
settings from somewhere other than /etc/sysconfig/network-scripts or
/etc/wvdial.conf:

Jul 31 22:01:24 merlin pppd[3902]: pppd 2.3.11 started by root, uid 0
Jul 31 22:01:24 merlin pppd[3902]: Using interface ppp1
Jul 31 22:01:24 merlin pppd[3902]: local  IP address 10.64.64.65
Jul 31 22:01:24 merlin pppd[3902]: remote IP address 10.112.112.113
Jul 31 22:01:29 merlin pppd[3902]: Terminating on signal 2.
Jul 31 22:01:29 merlin pppd[3902]: Exit.

It never talks to the modem once you edit the connection settings, however,
if you select the connection and use 'debug' mode, it connects properly.
I'm unable to find where it's grabbing the 10.x.x.x ip addresses from in
any of the configuration files in /etc.

If you create the connection and then edit the connection settings by hand
instead of using rp3 to edit them, rp3 will be able to dial in and connect
fine with the changed settings.
Comment 1 Nalin Dahyabhai 2000-08-07 05:38:25 EDT
This is a buglet in the hooks initscripts provides to do demand-dialing,
triggered by an rp3 bug.  Both are now fixed (rp3-1.1.3-3, initscripts-5.40).

Note You need to log in before you can comment on or make changes to this bug.